For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
Dashboard
LogoLogo
CURRENCIES

Get Price

||View as Markdown|
GET
https://api-stg.transak.com/api/v1/pricing/public/quotes
GET
/api/v1/pricing/public/quotes
$curl -G https://api-stg.transak.com/api/v1/pricing/public/quotes \
> -d partnerApiKey= \
> -d fiatCurrency=fiatCurrency \
> -d cryptoCurrency=cryptoCurrency \
> -d network=network \
> -d isBuyOrSell=BUY
200Success
1{
2 "response": {
3 "quoteId": "96178286-981f-4587-a041-a04432d80d52",
4 "conversionPrice": 0.0004941199202035244,
5 "marketConversionPrice": 0.0004991110305086105,
6 "slippage": 1,
7 "fiatCurrency": "GBP",
8 "cryptoCurrency": "ETH",
9 "paymentMethod": "credit_debit_card",
10 "fiatAmount": 100,
11 "cryptoAmount": 0.04662516,
12 "isBuyOrSell": "BUY",
13 "network": "ethereum",
14 "feeDecimal": 0.0564,
15 "totalFee": 5.64,
16 "feeBreakdown": [
17 {
18 "name": "Transak fee",
19 "value": 4.5,
20 "id": "transak_fee",
21 "ids": [
22 "transak_fee"
23 ]
24 },
25 {
26 "name": "Staging fee",
27 "value": 1,
28 "id": "partner_fee",
29 "ids": [
30 "partner_fee"
31 ]
32 },
33 {
34 "name": "Network/Exchange fee",
35 "value": 0.14,
36 "id": "network_fee",
37 "ids": [
38 "network_fee"
39 ]
40 }
41 ],
42 "nonce": 1729171344,
43 "cryptoLiquidityProvider": "transak",
44 "notes": []
45 }
46}
Fetch a quote for fiat-to-crypto or crypto-to-fiat conversion. <Callout intent="important"> **1.** Although **fiatAmount** and **cryptoAmount** are both not required together, you need to pass at least one of them in all isBuyOrSell: "BUY" cases. Our recommendation would be to pass **fiatAmount** in such cases. If both **fiatAmount** and **cryptoAmount** are passed in case of isBuyOrSell: "BUY" then **cryptoAmount** would take precedence. **2.** In case of isBuyOrSell: "SELL", **cryptoAmount** is a required param. If **fiatAmount** is passed in such cases, then it will be ignored. **3.** **quoteCountryCode** is an optional param which should be passed in case you want to ensure consistency in pricing that user sees on your platform as well as ours. In case an invalid ISO 3166 Alpha-2 country code is passed then this param will not be honored. Please refer to this page for detailed information about the usage of `quoteCountryCode`. </Callout>
Was this page helpful?
Previous

Get Fiat Currencies

Next

Verify Wallet Address

Built with

Fetch a quote for fiat-to-crypto or crypto-to-fiat conversion.

1. Although fiatAmount and cryptoAmount are both not required together, you need to pass at least one of them in all isBuyOrSell: “BUY” cases. Our recommendation would be to pass fiatAmount in such cases. If both fiatAmount and cryptoAmount are passed in case of isBuyOrSell: “BUY” then cryptoAmount would take precedence.

2. In case of isBuyOrSell: “SELL”, cryptoAmount is a required param. If fiatAmount is passed in such cases, then it will be ignored.

3. quoteCountryCode is an optional param which should be passed in case you want to ensure consistency in pricing that user sees on your platform as well as ours. In case an invalid ISO 3166 Alpha-2 country code is passed then this param will not be honored. Please refer to this page for detailed information about the usage of quoteCountryCode.

Query parameters

partnerApiKeystringRequired
Partner API key from your Transak dashboard.
fiatCurrencystringRequired
Fiat currency code.
cryptoCurrencystringRequired
Crypto currency symbol.
networkstringRequired
Blockchain network name.
isBuyOrSellenumRequired
Transaction direction.
Allowed values:
fiatAmountdoubleOptional
Amount in fiat currency. For BUY, pass at least one of fiatAmount or cryptoAmount.
cryptoAmountdoubleOptional
Amount in crypto currency. For SELL, this parameter is required.
paymentMethodstringOptional
Payment method identifier.
quoteCountryCodestringOptional

Optional ISO 3166 Alpha-2 country code used to keep quote pricing consistent.

Response

Price quote fetched successfully
responseobject